/// <reference types="react" />
import { BoxProps } from '@mui/material';

type ColorPickerVariant = "predefined" | "free";
interface ColorPickerProps {
    initialColor?: string;
    color?: string;
    colors: Array<string>;
    onChange(color: string): void;
    variant: ColorPickerVariant;
    sx: BoxProps["sx"];
}
declare const ColorPicker: {
    (props: ColorPickerProps): JSX.Element;
    defaultProps: {
        initialColor: string;
        colors: string[];
        onChange: (color: string) => void;
        variant: string;
        sx: {};
    };
};

interface Color {
    hex: ColorHex;
    rgb: ColorRGB;
    hsl: ColorHSL;
}
interface ColorHex {
    value: string;
}
interface ColorRGB {
    value: string;
    r: number;
    g: number;
    b: number;
}
interface ColorHSL {
    value: string;
    h: number;
    s: number;
    l: number;
}

export { Color, ColorPicker, ColorPickerVariant };
